From e580f60256e6f18a326b95467c2bdbccad2126c6 Mon Sep 17 00:00:00 2001
From: James Moger <james.moger@gitblit.com>
Date: Tue, 21 Oct 2014 13:43:43 -0400
Subject: [PATCH] Merged #157 "Add Priority & Severity fields to the ticket model"

---
 src/main/resources/gitblit.css |   79 +++++++++++++++++++++++++++++++++++++++
 1 files changed, 78 insertions(+), 1 deletions(-)

diff --git a/src/main/resources/gitblit.css b/src/main/resources/gitblit.css
index 748a319..4cc9ab6 100644
--- a/src/main/resources/gitblit.css
+++ b/src/main/resources/gitblit.css
@@ -782,6 +782,10 @@
 
 td.ticket-list-state {
 	vertical-align: middle;
+}
+
+td.ticket-list-priority {
+	vertical-align: middle;
 }
 
 .ticket-list-details {
@@ -2079,4 +2083,77 @@
     background-color: #fff;
     border-color: #ece7e2;
     color: #815b3a;
-}
\ No newline at end of file
+}
+.severity-catastrophic {
+	color:#D51900;
+}
+.severity-catastrophic:after {
+	font-family: Helvetica,arial,freesans,clean,sans-serif ;
+	content: "●●●●●";
+	font-weight:900;
+	font-size:.45em;	
+	font-variant:small-caps;
+	display:flex;
+	white-space: pre;
+}
+.severity-critical {
+	color:#D55900;
+}
+.severity-critical:after {
+	font-family: Helvetica,arial,freesans,clean,sans-serif ;
+	content: "●●●●";
+	font-weight:900;
+	font-size:.45em;	
+	font-variant:small-caps;
+	display:flex;
+	white-space: pre;
+}
+.severity-serious {
+	color:#E69F00;
+}
+.severity-serious:after {
+	font-family: Helvetica,arial,freesans,clean,sans-serif ;
+	content: "  ●●●";
+	font-weight:900;
+	font-size:.45em;	
+	font-variant:small-caps;
+	display:flex;
+	white-space: pre;
+}
+.severity-minor {
+	color:#009E73;
+}
+.severity-minor:after {
+	font-family: Helvetica,arial,freesans,clean,sans-serif ;
+	content: "   ●●";
+	font-weight:900;
+	font-size:.45em;	
+	font-variant:small-caps;
+	display:flex;
+	white-space: pre;
+}
+.severity-negligible {
+	color:#0072B2;
+}
+.severity-negligible:after {
+	font-family: Helvetica,arial,freesans,clean,sans-serif ;
+	content: "    ●";
+	font-weight:900;
+	font-size:.45em;	
+	font-variant:small-caps;
+	display:flex;
+	white-space: pre;
+}
+.severity-unrated {
+}
+.priority-urgent {
+	color:#D51900;
+}
+.priority-high {
+	color:#D55900;
+}
+.priority-normal {
+}
+.priority-low {
+	color:#0072B2;
+}

--
Gitblit v1.9.1